Bug 171413 - CVE-2005-2974 Several libungif issues (CVE-2005-3350)
Summary: CVE-2005-2974 Several libungif issues (CVE-2005-3350)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libungif   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: impact=important,source=vendorsec,pub...
Keywords: Security
Depends On:
Blocks: CVE-2005-3350 CVE-2005-2974
TreeView+ depends on / blocked
 
Reported: 2005-10-21 16:10 UTC by Josh Bressers
Modified: 2009-04-08 09:37 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-828
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 18:26:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which fixes these issues. (3.58 KB, patch)
2005-10-27 23:22 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:828 normal SHIPPED_LIVE Important: libungif security update 2005-11-03 05:00:00 UTC

Description Josh Bressers 2005-10-21 16:10:33 UTC
Chris Evans reported several issues with libungif to vendor-sec.  They have been
fixed in libungif-4.1.4, but not noted as security issues.

"I believe that the recently released libungif-4.1.4 fixes these
crashes. Credit here must go to Daniel Eisenbud who independently
noticed libungif crashes _and_ patched it to fix it."

Comment 1 Josh Bressers 2005-10-21 16:11:10 UTC
These issue should also affect RHEL2.1 and RHEL3

Comment 8 Josh Bressers 2005-10-27 23:14:25 UTC
bad1.gif trigger a NULL dereference crash
CVE-2005-2974 libungif NULL pointer deref

bad2 and bad3 trigger out of bounds memory access crashes.  bad2 may
possibly allow for arbitrary code execution as it's an OOB write.
CVE-2005-3350 libungif OOB access


Comment 9 Josh Bressers 2005-10-27 23:22:00 UTC
Created attachment 120493 [details]
Patch which fixes these issues.

Comment 11 Josh Bressers 2005-11-03 15:46:48 UTC
Lifting embargo

Comment 12 Red Hat Bugzilla 2005-11-03 18:26:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-828.html



Note You need to log in before you can comment on or make changes to this bug.